%global stackname catkin
%global gitrev d4f1f24
%global rosdistro fuerte
Name:           ros-%{rosdistro}-catkin
Version:        0.4.5
Release:        3.git%{gitrev}%{?dist}
Summary:        Collection of CMake macros for ROS

License:        BSD
URL:            http://ros.org/doc/fuerte/api/catkin/html/
#wget --content-disposition https://github.com/ros/catkin/tarball/0.4.5
Source0:        ros-%{stackname}-%{version}-0-g%{gitrev}.tar.gz
BuildArch:      noarch
Provides:       ros-%{stackname} = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  gtest
BuildRequires:  python-argparse
BuildRequires:  python-empy
BuildRequires:  python-nose
BuildRequires:  python-rospkg
BuildRequires:  python-setuptools-devel
BuildRequires:  python-yaml

Requires:  cmake
Requires:  gtest
Requires:  python-argparse
Requires:  python-empy
Requires:  python-nose
Requires:  python-rospkg
Requires:  python-setuptools-devel
Requires:  python-yaml

%description
Catkin is the Willow Garage low-level build system macros and infrastructure.

%package devel
Summary: Development files for %{stackname}
Provides: ros-%{stackname}-devel = %{version}-%{release}
Requires:  %{name} = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup -q -n ros-%{stackname}-%{gitrev}

%build
mkdir build
pushd build
%cmake -DCMAKE_INSTALL_PREFIX=/opt/ros/%{rosdistro} -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT

%files
%doc
/opt/ros/%{rosdistro}/bin/*
/opt/ros/%{rosdistro}/etc/%{stackname}
/opt/ros/%{rosdistro}/env.sh
/opt/ros/%{rosdistro}/setup.*
/opt/ros/%{rosdistro}/share/%{stackname}
/opt/ros/%{rosdistro}/.rosinstall
/opt/ros/%{rosdistro}/lib/python?.?/site-packages/*

%files devel
/opt/ros/%{rosdistro}/lib/pkgconfig/*
/opt/ros/%{rosdistro}/share/ros
/opt/ros/%{rosdistro}/share/%{stackname}/cmake

%changelog
* Tue Mar 19 2013 Rich Mattes <richmattes@gmail.com> - 0.4.5-3.gitd4f1f24
- Rebuild for new copr

* Mon Jan 14 2013 Rich Mattes <richmattes@gmail.com> - 0.4.5-2.gitd4f1f24
- Remove "ros-release" requirement

* Sun Jan 13 2013 Rich Mattes <richmattes@gmail.com> - 0.4.5-1.gitd4f1f24
- Initial fuerte release
